ECU memory transfer tool

ECUSend V. 3.0.0.5

ECU memory transfer tool
This program is for transfer ECU-memory container to the manufactoring resp. model department. Select the destination department from a list of targets and press the [send ECU-memory container] button. Now the tool send the contaner to the target(s). There are some features:
  • send an email to the adresses listed in the container
  • make a backup copy in a specified folder
  • multible select of targets
  • the intranet interface of the AS/COPRA PDM is now supported
  • drag and drop of the container file
  • write logfile in backup folder
  • check the container


1. Batch mode

ECU memory transfer tool
1. Batch mode

To send ECU Container to one or more target FTP mailboxes, type at the command prompt following syntax:
ECUSend filename -t target [-t taget [-t target [...]]] [-nolog] [-nobackup]
filename
The containerfile e.g. container.cnt
-t target
For target, please type the shortname of the target. You can get the short name at .. Multible targets are supported.
-nolog
No log information will write to the log file "ecusendlog.txt" in the backup folder.
-nobackup
The backup function of the program to save the container that sent to the target
In this mode there you can't use the function "send email" of the program. In normal case the manufactory will send an email to the adresses that wrote in the container file after receive and unpack the container.
After a failed execution of ECUSend in the batch mode, the program will give back an errorlevel 1.


2. Interactive mode

ECU memory transfer tool
2. Interactive mode

Contents of this chapter:
  • 2.1. Buttons & Boxes
  • 2.2. Menu


2.1. Buttons & Boxes

Here is your start position of the interactive mode. From this place you have the following possibilities:
Figure 1: the main window


2.1.1. container file

Select the container for transfer. With the button on the left from the textbox you can start a open file dialog to select the container. The program uses the path, where the last container was send from. Tthe drag and drop funktion can be used, too.


2.1.2. check container

Until version 2.011 of the ECUSend program, you must check the container by using a command line interface. Since the version 3.0 you can make such a check by pressing the button [check container]. The check will check some tag contents and the structure of the container.


2.1.3. send email

If selected, after sending the container to the target(s), your email software (Outlook/ Exchange) will be generate a new. The mail address at the "to" field will be filled out by ECUSend with the contents of the mail addresses in the containerfile. You can modify the mail an send it manual.


2.1.4. send ECU-memory container

When you press this button, the container file will be send to the selected destination. After the transfer you get a message in the statusbar that the transfer is completed. If there are more than one destination selected that is in the AE-COPRA System, the itranet page for check in the container into the COPRA system will call only once.
The program search in the container for german characters like "ä" and change them to the corrospending two character code. For example an "ä" will become a "ae".


2.1.5. exit

Here you close the program.


2.2. Menu

Contents of this chapter:
  • 2.2.1. options
  • 2.2.2. help


2.2.1. options

 | Figure 2: option menu
change backup folder
 | here you select the folder for the backup files. Figure 3: change backup folder
send email
 | If this Item is selected, the program search in the container for email addresses of reciever and submitter and starts the mail client (e.g. Outlook) for manipulation and sending a mail.
backup container
 | If selected, the container will be copied into the directory, that specified in the dialog change backup folder.


2.2.2. help

 | Figure 4: help menu
help on ECUSend
avaiable targets
 | Figure 5: target information window Show a dialog with the shortname and name of the targets.
ECU Memory Container in the intranet
 | There will open a window with the intranet site of the ECU Memory Container.
readme
 | latest Information from the ECU Memory Container work group and the program its selfe. If the reame file is changed, it will show you by start the program.
about
 | Information about the program ECUSend.